curl --request GET \
--url 'https://api.stateset.com/api/v1/ar/collection-activities' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"activities": [
{
"activity_type": "string",
"contact_method": "string",
"contact_result": "string",
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"dunning_letter_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"performed_by": "string",
"promise_to_pay_amount": "49.00",
"promise_to_pay_date": "2026-08-31T14:22:05Z"
}
],
"total": 102
}
Ar list collection activities
Ar list collection activities
GET
/
api
/
v1
/
ar
/
collection-activities
curl --request GET \
--url 'https://api.stateset.com/api/v1/ar/collection-activities' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"activities": [
{
"activity_type": "string",
"contact_method": "string",
"contact_result": "string",
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"dunning_letter_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"performed_by": "string",
"promise_to_pay_amount": "49.00",
"promise_to_pay_date": "2026-08-31T14:22:05Z"
}
],
"total": 102
}
Query parameters
string
string
string
One of
dunning_letter_sent, phone_call, email, in_person_visit, promise_to_pay, payment_plan_created, sent_to_collections, write_off_approved, dispute_logged, dispute_resolved, note.integer (int32)
integer (int32)
Response
ArCollectionActivityListResponse
ArCollectionActivityResponse[]
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
400 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/ar/collection-activities' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"activities": [
{
"activity_type": "string",
"contact_method": "string",
"contact_result": "string",
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"dunning_letter_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"performed_by": "string",
"promise_to_pay_amount": "49.00",
"promise_to_pay_date": "2026-08-31T14:22:05Z"
}
],
"total": 102
}
Last modified on August 31, 2026